## evolution-data-server 1.6.3

=== libdb/dist/Makefile ===
# $Id: Makefile.in,v 1.5 2005/05/24 06:50:21 tml Exp $

srcdir=	./..
builddir=.

##################################################
# Installation directories and permissions.
##################################################
prefix=	/home/kharish/opt/gnome
exec_prefix=${prefix}
bindir=	${exec_prefix}/bin
includedir=${prefix}/include
libdir=	${exec_prefix}/lib
docdir=	$(prefix)/docs

dmode=	755
emode=	555
fmode=	444

transform=s,x,x,

##################################################
# Paths for standard user-level commands.
##################################################
SHELL=	/bin/sh
ar=	ar
chmod=	chmod
cp=	cp
ln=	ln
mkdir=	mkdir
ranlib=	/usr/bin/ranlib
rm=	rm
rpm=	
strip=	/usr/bin/strip

##################################################
# General library information.
##################################################
DEF_LIB=	$(libso_target)
DEF_LIB_CXX=	
INSTALLER=	$(LIBTOOL) --mode=install cp -p
LIBTOOL=	$(SHELL) ./libtool

POSTLINK=	$(LIBTOOL) --mode=execute true
SOLINK=		$(LIBTOOL) --mode=link cc -avoid-version
SOFLAGS=	
SOMAJOR=	4
SOVERSION=	4.1

##################################################
# C API.
##################################################
CPPFLAGS=	-I$(builddir) -I$(srcdir) -I$(srcdir)/dbinc  -D_GNU_SOURCE -D_REENTRANT
CFLAGS=	 	-c $(CPPFLAGS) -g -O0
CC=		$(LIBTOOL) --mode=compile cc
CCLINK=		$(LIBTOOL) --mode=link cc

LDFLAGS=	
LIBS=		
LIBSO_LIBS=	

libdb=		libdb.a
libso_base=	libdb
libso=		$(libso_base)-$(SOVERSION).so
libso_static=	$(libso_base)-$(SOVERSION).a
libso_target=	$(libso_base)-$(SOVERSION).la
libso_default=	$(libso_base).so
libso_major=	$(libso_base)-$(SOMAJOR).so

##################################################
# C++ API.
#
# C++ support is optional, and can be built with static or shared libraries.
##################################################
CXXFLAGS=	-c $(CPPFLAGS) -g -O0
CXX=		$(LIBTOOL) --mode=compile nocxx
CXXLINK=	$(LIBTOOL) --mode=link nocxx
XSOLINK=	$(LIBTOOL) --mode=link nocxx -avoid-version
LIBXSO_LIBS=	

libcxx=		libdb_cxx.a
libxso_base=	libdb_cxx
libxso=		$(libxso_base)-$(SOVERSION).so
libxso_static=	$(libxso_base)-$(SOVERSION).a
libxso_target=	$(libxso_base)-$(SOVERSION).la
libxso_default=	$(libxso_base).so
libxso_major=	$(libxso_base)-$(SOMAJOR).so

##################################################
# Java API.
#
# Java support is optional and requires shared librarires.
##################################################
CLASSPATH=	$(JAVA_CLASSTOP)
LIBJSO_LIBS=	

JAR=		
JAVAC=		env CLASSPATH="$(CLASSPATH)" nojavac
JAVACFLAGS=	
JAVA_CLASSTOP=	./classes
JAVA_RPCCLASSES=./classes.rpc
JAVA_SRCDIR=	$(srcdir)/java/src
JAVA_DBREL=	com/sleepycat/db
JAVA_EXREL=	com/sleepycat/examples
JAVA_RPCREL=	com/sleepycat/db/rpcserver
JAVA_DBDIR=	$(JAVA_SRCDIR)/$(JAVA_DBREL)
JAVA_EXDIR=	$(JAVA_SRCDIR)/$(JAVA_EXREL)
JAVA_RPCDIR=	$(srcdir)/rpc_server/java

libj_jarfile=	db.jar
libj_exjarfile=	dbexamples.jar
rpc_jarfile=	dbsvc.jar
libjso_base=	libdb_java
libjso=		$(libjso_base)-$(SOVERSION).so
libjso_static=	$(libjso_base)-$(SOVERSION).a
libjso_target=	$(libjso_base)-$(SOVERSION).la
libjso_default=	$(libjso_base).so
libjso_major=	$(libjso_base)-$(SOMAJOR).so
libjso_g=	$(libjso_base)-$(SOVERSION)_g.so

##################################################
# TCL API.
#
# Tcl support is optional and requires shared libraries.
##################################################
TCFLAGS=	
LIBTSO_LIBS=	
libtso_base=	libdb_tcl
libtso=		$(libtso_base)-$(SOVERSION).so
libtso_static=	$(libtso_base)-$(SOVERSION).a
libtso_target=	$(libtso_base)-$(SOVERSION).la
libtso_default=	$(libtso_base).so
libtso_major=	$(libtso_base)-$(SOMAJOR).so

##################################################
# db_dump185 UTILITY
#
# The db_dump185 application should be compiled using the system's db.h file
# (which should be a DB 1.85/1.86 include file), and the system's 1.85/1.86
# object library.  To include the right db.h, don't include -I$(builddir) on
# the compile line.  You may also need to add a local include directory and
# local libraries, for example.  Do that by adding -I options to the DB185INC
# line, and -l options to the DB185LIB line.
##################################################
DB185INC=	-c -g -O0 -I$(srcdir)  -D_GNU_SOURCE -D_REENTRANT
DB185LIB=

##################################################
# NOTHING BELOW THIS LINE SHOULD EVER NEED TO BE MODIFIED.
##################################################

##################################################
# Object and utility lists.
##################################################
C_OBJS= mut_tas.lo    \
	bt_compare.lo bt_conv.lo bt_curadj.lo bt_cursor.lo bt_delete.lo \
	bt_method.lo bt_open.lo bt_put.lo bt_rec.lo bt_reclaim.lo \
	bt_recno.lo bt_rsearch.lo bt_search.lo bt_split.lo bt_stat.lo \
	bt_upgrade.lo bt_verify.lo btree_auto.lo crdel_auto.lo \
	crdel_rec.lo db.lo db_am.lo db_auto.lo db_byteorder.lo db_cam.lo \
	db_conv.lo db_dispatch.lo db_dup.lo db_err.lo db_getlong.lo \
	db_idspace.lo db_iface.lo db_join.lo db_log2.lo db_meta.lo \
	db_method.lo db_open.lo db_overflow.lo db_pr.lo db_rec.lo \
	db_reclaim.lo db_rename.lo db_remove.lo db_ret.lo db_salloc.lo \
	db_shash.lo db_truncate.lo db_upg.lo db_upg_opd.lo db_vrfy.lo \
	db_vrfyutil.lo dbm.lo dbreg.lo dbreg_auto.lo dbreg_rec.lo \
	dbreg_util.lo env_file.lo env_method.lo env_open.lo env_recover.lo \
	env_region.lo fileops_auto.lo fop_basic.lo fop_rec.lo \
	fop_util.lo hash.lo hash_auto.lo hash_conv.lo hash_dup.lo \
	hash_func.lo hash_meta.lo hash_method.lo hash_open.lo \
	hash_page.lo hash_rec.lo hash_reclaim.lo hash_stat.lo \
	hash_upgrade.lo hash_verify.lo hmac.lo hsearch.lo lock.lo \
	lock_deadlock.lo lock_method.lo lock_region.lo lock_stat.lo \
	lock_util.lo log.lo log_archive.lo log_compare.lo log_get.lo \
	log_method.lo log_put.lo mp_alloc.lo mp_bh.lo mp_fget.lo \
	mp_fopen.lo mp_fput.lo mp_fset.lo mp_method.lo mp_region.lo \
	mp_register.lo mp_stat.lo mp_sync.lo mp_trickle.lo mutex.lo \
	os_abs.lo os_alloc.lo os_clock.lo os_config.lo os_dir.lo \
	os_errno.lo os_fid.lo os_fsync.lo os_handle.lo os_id.lo \
	os_map.lo os_method.lo os_oflags.lo os_open.lo os_region.lo \
	os_rename.lo os_root.lo os_rpath.lo os_rw.lo os_seek.lo \
	os_sleep.lo os_spin.lo os_stat.lo os_tmpdir.lo os_unlink.lo \
	qam.lo qam_auto.lo qam_conv.lo qam_files.lo qam_method.lo \
	qam_open.lo qam_rec.lo qam_stat.lo qam_upgrade.lo qam_verify.lo \
	rep_method.lo rep_record.lo rep_region.lo rep_util.lo sha1.lo \
	txn.lo txn_auto.lo txn_method.lo txn_rec.lo txn_recover.lo \
	txn_region.lo txn_stat.lo txn_util.lo xa.lo xa_db.lo xa_map.lo

CXX_OBJS=\
	cxx_db.lo cxx_dbc.lo cxx_dbt.lo cxx_env.lo cxx_except.lo \
	cxx_lock.lo cxx_logc.lo cxx_mpool.lo cxx_txn.lo

JAVA_OBJS=\
	java_Db.lo java_DbEnv.lo java_DbLock.lo java_DbLogc.lo \
	java_DbLsn.lo java_DbTxn.lo java_DbUtil.lo java_Dbc.lo \
	java_Dbt.lo \
	java_info.lo java_locked.lo java_util.lo java_stat_auto.lo

JAVA_DBSRCS=\
	$(JAVA_DBDIR)/Db.java $(JAVA_DBDIR)/DbAppendRecno.java \
	$(JAVA_DBDIR)/DbAppDispatch.java \
	$(JAVA_DBDIR)/DbBtreeCompare.java $(JAVA_DBDIR)/DbBtreePrefix.java \
	$(JAVA_DBDIR)/DbBtreeStat.java $(JAVA_DBDIR)/DbClient.java \
	$(JAVA_DBDIR)/DbConstants.java $(JAVA_DBDIR)/DbDeadlockException.java \
	$(JAVA_DBDIR)/DbDupCompare.java $(JAVA_DBDIR)/DbEnv.java \
	$(JAVA_DBDIR)/DbEnvFeedback.java $(JAVA_DBDIR)/DbErrcall.java \
	$(JAVA_DBDIR)/DbException.java $(JAVA_DBDIR)/DbFeedback.java \
	$(JAVA_DBDIR)/DbHash.java $(JAVA_DBDIR)/DbHashStat.java \
	$(JAVA_DBDIR)/DbKeyRange.java $(JAVA_DBDIR)/DbLock.java \
	$(JAVA_DBDIR)/DbLockNotGrantedException.java \
	$(JAVA_DBDIR)/DbLockRequest.java $(JAVA_DBDIR)/DbLockStat.java \
	$(JAVA_DBDIR)/DbLogc.java $(JAVA_DBDIR)/DbLogStat.java \
	$(JAVA_DBDIR)/DbLsn.java $(JAVA_DBDIR)/DbMemoryException.java \
	$(JAVA_DBDIR)/DbMpoolFStat.java $(JAVA_DBDIR)/DbMpoolStat.java \
	$(JAVA_DBDIR)/DbMultipleDataIterator.java \
	$(JAVA_DBDIR)/DbMultipleIterator.java \
	$(JAVA_DBDIR)/DbMultipleKeyDataIterator.java \
	$(JAVA_DBDIR)/DbMultipleRecnoDataIterator.java \
	$(JAVA_DBDIR)/DbOutputStreamErrcall.java \
	$(JAVA_DBDIR)/DbPreplist.java $(JAVA_DBDIR)/DbQueueStat.java \
	$(JAVA_DBDIR)/DbRepStat.java $(JAVA_DBDIR)/DbRepTransport.java \
	$(JAVA_DBDIR)/DbRunRecoveryException.java \
	$(JAVA_DBDIR)/DbSecondaryKeyCreate.java $(JAVA_DBDIR)/DbTxn.java \
	$(JAVA_DBDIR)/DbTxnStat.java \
	$(JAVA_DBDIR)/DbUtil.java $(JAVA_DBDIR)/Dbc.java $(JAVA_DBDIR)/Dbt.java

JAVA_EXSRCS=\
	$(JAVA_EXDIR)/AccessExample.java \
	$(JAVA_EXDIR)/BtRecExample.java \
	$(JAVA_EXDIR)/BulkAccessExample.java \
	$(JAVA_EXDIR)/EnvExample.java \
	$(JAVA_EXDIR)/LockExample.java \
	$(JAVA_EXDIR)/TpcbExample.java

TCL_OBJS=\
	tcl_compat.lo tcl_db.lo tcl_db_pkg.lo tcl_dbcursor.lo tcl_env.lo \
	tcl_internal.lo tcl_lock.lo tcl_log.lo tcl_mp.lo tcl_rep.lo \
	tcl_txn.lo tcl_util.lo

RPC_CLIENT_OBJS=\
	client.lo db_server_clnt.lo db_server_xdr.lo gen_client.lo \
	gen_client_ret.lo

RPC_SRV_OBJS=\
	db_server_proc.lo db_server_svc.lo db_server_util.lo \
	gen_db_server.lo

RPC_CXXSRV_OBJS=\
	db_server_cxxproc.lo db_server_cxxutil.lo db_server_svc.lo \
	gen_db_server.lo

RPC_JAVASRV_SRCS=\
	$(JAVA_RPCDIR)/DbDispatcher.java \
	$(JAVA_RPCDIR)/DbServer.java \
	$(JAVA_RPCDIR)/FreeList.java \
	$(JAVA_RPCDIR)/LocalIterator.java \
	$(JAVA_RPCDIR)/RpcDb.java \
	$(JAVA_RPCDIR)/RpcDbEnv.java \
	$(JAVA_RPCDIR)/RpcDbTxn.java \
	$(JAVA_RPCDIR)/RpcDbc.java \
	$(JAVA_RPCDIR)/Timer.java \
	$(JAVA_RPCDIR)/gen/DbServerStub.java \
	$(JAVA_RPCDIR)/gen/__db_associate_msg.java \
	$(JAVA_RPCDIR)/gen/__db_associate_reply.java \
	$(JAVA_RPCDIR)/gen/__db_bt_maxkey_msg.java \
	$(JAVA_RPCDIR)/gen/__db_bt_maxkey_reply.java \
	$(JAVA_RPCDIR)/gen/__db_bt_minkey_msg.java \
	$(JAVA_RPCDIR)/gen/__db_bt_minkey_reply.java \
	$(JAVA_RPCDIR)/gen/__db_close_msg.java \
	$(JAVA_RPCDIR)/gen/__db_close_reply.java \
	$(JAVA_RPCDIR)/gen/__db_create_msg.java \
	$(JAVA_RPCDIR)/gen/__db_create_reply.java \
	$(JAVA_RPCDIR)/gen/__db_cursor_msg.java \
	$(JAVA_RPCDIR)/gen/__db_cursor_reply.java \
	$(JAVA_RPCDIR)/gen/__db_del_msg.java \
	$(JAVA_RPCDIR)/gen/__db_del_reply.java \
	$(JAVA_RPCDIR)/gen/__db_encrypt_msg.java \
	$(JAVA_RPCDIR)/gen/__db_encrypt_reply.java \
	$(JAVA_RPCDIR)/gen/__db_extentsize_msg.java \
	$(JAVA_RPCDIR)/gen/__db_extentsize_reply.java \
	$(JAVA_RPCDIR)/gen/__db_flags_msg.java \
	$(JAVA_RPCDIR)/gen/__db_flags_reply.java \
	$(JAVA_RPCDIR)/gen/__db_get_msg.java \
	$(JAVA_RPCDIR)/gen/__db_get_reply.java \
	$(JAVA_RPCDIR)/gen/__db_h_ffactor_msg.java \
	$(JAVA_RPCDIR)/gen/__db_h_ffactor_reply.java \
	$(JAVA_RPCDIR)/gen/__db_h_nelem_msg.java \
	$(JAVA_RPCDIR)/gen/__db_h_nelem_reply.java \
	$(JAVA_RPCDIR)/gen/__db_join_msg.java \
	$(JAVA_RPCDIR)/gen/__db_join_reply.java \
	$(JAVA_RPCDIR)/gen/__db_key_range_msg.java \
	$(JAVA_RPCDIR)/gen/__db_key_range_reply.java \
	$(JAVA_RPCDIR)/gen/__db_lorder_msg.java \
	$(JAVA_RPCDIR)/gen/__db_lorder_reply.java \
	$(JAVA_RPCDIR)/gen/__db_open_msg.java \
	$(JAVA_RPCDIR)/gen/__db_open_reply.java \
	$(JAVA_RPCDIR)/gen/__db_pagesize_msg.java \
	$(JAVA_RPCDIR)/gen/__db_pagesize_reply.java \
	$(JAVA_RPCDIR)/gen/__db_pget_msg.java \
	$(JAVA_RPCDIR)/gen/__db_pget_reply.java \
	$(JAVA_RPCDIR)/gen/__db_put_msg.java \
	$(JAVA_RPCDIR)/gen/__db_put_reply.java \
	$(JAVA_RPCDIR)/gen/__db_re_delim_msg.java \
	$(JAVA_RPCDIR)/gen/__db_re_delim_reply.java \
	$(JAVA_RPCDIR)/gen/__db_re_len_msg.java \
	$(JAVA_RPCDIR)/gen/__db_re_len_reply.java \
	$(JAVA_RPCDIR)/gen/__db_re_pad_msg.java \
	$(JAVA_RPCDIR)/gen/__db_re_pad_reply.java \
	$(JAVA_RPCDIR)/gen/__db_remove_msg.java \
	$(JAVA_RPCDIR)/gen/__db_remove_reply.java \
	$(JAVA_RPCDIR)/gen/__db_rename_msg.java \
	$(JAVA_RPCDIR)/gen/__db_rename_reply.java \
	$(JAVA_RPCDIR)/gen/__db_stat_msg.java \
	$(JAVA_RPCDIR)/gen/__db_stat_reply.java \
	$(JAVA_RPCDIR)/gen/__db_sync_msg.java \
	$(JAVA_RPCDIR)/gen/__db_sync_reply.java \
	$(JAVA_RPCDIR)/gen/__db_truncate_msg.java \
	$(JAVA_RPCDIR)/gen/__db_truncate_reply.java \
	$(JAVA_RPCDIR)/gen/__dbc_close_msg.java \
	$(JAVA_RPCDIR)/gen/__dbc_close_reply.java \

## evolution-data-server 2.30.3

=== debian/changelog ===
evolution-data-server (2.30.3-2ubuntu2.1) maverick-proposed; urgency=low

  * lp664167_de16bec_encode_auth_in_proxy_url.patch: backport another fix from
    the gnome-2.32 branch to support encoding proxy user/passwd auth parameters
    in proxy URL (LP: #664167)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 23 Nov 2010 11:18:46 -0500

evolution-data-server (2.30.3-2ubuntu2) maverick-proposed; urgency=low

  * debian/patches/107-git-consider-local-inbox-as-inbox.patch:
    - adapted from upstream git: local inbox wasn't recognized as an inbox,
      debugged with upstream shown that the consequence was POP account not
      getting notification neither indicator support in the messaging menu.
      (LP: #657837)
  * debian/patches/108-git-fix-eproxy-and-https.patch:
    - fix the authentication of https webcal through a proxy (LP: #659167)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 14 Oct 2010 14:08:13 +0200

evolution-data-server (2.30.3-2ubuntu1) maverick; urgency=low

  * Mege from debian unstable, backporting the upstream patch list
    in 2.30.3-2 + lockup fix. This fixes a lot of bugs when people find evo
    unressponding or crashing

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 27 Sep 2010 21:36:52 +0200

evolution-data-server (2.30.3-2) unstable; urgency=low

  [ Josselin Mouette ]
  * 01_imapx_lockup.patch: stolen upstream. Avoid evolution lockups when
    logging out with IDLE enabled.

  [ Yves-Alexis Perez ]
  * debian/patches:
    - 101-Bug-629714-endless-loop-in-imapx_parse_status,
      102-Bug-630135-No-UI-feedback-when-imapx-connection-fail,
      103-Bug-630150-imapx-attempts-to-connect-to-server-when-,
      104-Bug-630152-imapx_parser_thread-registers-wrong-opera,
      105-Bug-629916-imapx-fails-to-handle-errors-in-imapx_com and
      106-Bug-630149-imapx_sync-never-returns-error added, fix various issues
      with IMAP+ backend leading to endless loops.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 Sep 2010 21:00:52 +0200

evolution-data-server (2.30.3-1ubuntu3) maverick; urgency=low

  * debian/rules: don't strip sgid and group off of camel-lock-helper and use
    DEB_FIXPERMS_EXCLUDE instead of DEB_FIXPERMS_EXCLUDE_evolution-data-server
    since debhelper doesn't handle _<pkg> as expected (LP: #641243)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 16 Sep 2010 23:50:04 -0500

evolution-data-server (2.30.3-1ubuntu2) maverick; urgency=low

  * debian/patches/60_google_backend_lookup.patch:
    - Fix crash when lookup address in google backend (LP: #602225)

 -- Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>  Sat, 04 Sep 2010 11:26:17 +0200

evolution-data-server (2.30.3-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. Remaining changes:
    + debian/control:
      - add Vcs-Bzr tag
      - don't use libgnome
    + debian/evolution-data-server.install,
      debian/patches/45_libcamel_providers_version.patch:
      - use the upstream versioning, not a Debian-specific one
    + debian/rules:
      - don't build documentation it's shipped with the tarball
  * use dh_autoreconf now, as in debian (it's in main now)
    - remove debian/patches/90_autoreconf.patch
    - change debian/rules to include it
    - build-dep in debian/control
  * disable large file support, like in debian, which causes crashes
    (LP: #584536)
  * debian/patches/91_revert_formatted_adress.patch: removed, upstream
  * debian/patches/01_build_with_deprecated_symbols.patch:
    - remove -DGDK_DISABLE_DEPRECATED to build it

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 01 Sep 2010 18:51:26 +0200

evolution-data-server (2.30.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches:
    - 01_make-nss-db-init-more-robust dropped, included upstream
    - 02_remove-courier-imap-workaround-breaking-rename as well.
  * debian/control:
    - update standards version to 3.9.1.
  * debian/*.shlibs:
    - bump shlibs to 2.30.3.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 14 Aug 2010 13:47:40 +0200

evolution-data-server (2.30.2.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches:
    - 01_make-nss-db-init-more-robust added.                    closes: #587849
    - 02_remove-courier-imap-workaround-breaking-rename added, fix renaming on
      courier-imap servers.
  * debian/rules:
    - rename --enable-nss to -enable-ssl in configure call.
    - DEB_FIXPERMS_EXCLUDE switched to _evolution-data-server.
    - disable largefile support for now, it'll be re-enabled for squeeze+1
      cycle.                                                    closes: #588316
  * debian/control:
    - update standards version to 3.9.0.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 10 Jul 2010 14:30:12 +0200

evolution-data-server (2.30.2-1) unstable; urgency=low

  * New upstream release.
    - fix random mailbox corruption causing expunge problems.   closes: #526216
  * debian/watch:
    - update rule to order hrefs correctly.
    - install some information on bug reporting
  * debian/bug-presubj: warn user that she should report upstream issues
    directly to upstream bugzilla because of lack of time and manpower.
  * debian/patches:
    - 01_unitialized_key, 02_fix-warning-in_source_get_uri,
      03_bump-soname-libedataserver dropped, included upstream.
    - 25_mute-debug-messages updated.
    - 45_libcamel_providers_version refreshed.
  * debian/libcamel1.2-14.shlibs updated for 2.30.2.
  * debian/control:
    - bump debhelper build-dep to 7.2.3 for dh_bugfiles.
    - add build-dep on gnome-pkg-tools for gnome-get-source.mk.
  * Switch to 3.0 (quilt) format.
  * debian/rules:
    - include gnome-get-source.mk.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 23 Jun 2010 21:31:37 +0200

evolution-data-server (2.30.2-0ubuntu3) maverick; urgency=low

  * debian/control:
    libebook1.2-dev to depend on libdbus-glib-1-dev (LP: #590094)
  * Fix bzr add to include the previous patch



=== debian/control ===
Source: evolution-data-server
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>,
           Margarita Manterola <debian@marga.com.ar>,
           Loic Minier <lool@dooz.org>,
           Heikki Henriksen <heikkih@gmail.com>,
           Oystein Gisnas <oystein@gisnas.net>,
           Riccardo Setti <giskard@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           Pedro Fragoso <ember@ubuntu.com>,
           Josselin Mouette <joss@debian.org>
Standards-Version: 3.9.1
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://svn.debian.org/svn/pkg-evolution/unstable/evolution-data-server
Vcs-Browser: http://svn.debian.org/wsvn/pkg-evolution/unstable/evolution-data-server
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/evolution-data-server/ubuntu
Build-Depends: debhelper (>= 7.2.3~),
               cdbs (>= 0.4.37),
               dh-autoreconf,
               dpkg-dev (>= 1.14.16),
               pkg-config (>= 0.16),
               flex,
               bison,
               libtool,
               intltool (>= 0.35.5),
               libdb-dev,
               libkrb5-dev,
               libldap2-dev,
               libglib2.0-dev (>= 2.16.1),
               libxml2-dev,
               libgconf2-dev,
               libnss3-dev,
               libgtk2.0-dev (>= 2.18.0),
               libsoup2.4-dev,
               libgnome-keyring-dev (>= 2.20.1),
               gtk-doc-tools,
               libsqlite3-dev (>= 3.6),
               chrpath,
               libgweather-dev (>= 2.24.5),
               libical-dev,
               libicu-dev,
               libdbus-glib-1-dev (>= 0.6),
               gperf,
               gnome-pkg-tools

Package: evolution-data-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (= ${source:Version})
Suggests: evolution (>= 2.6.1),
          evolution-data-server-dbg (= ${binary:Version})
Replaces: evolution-data-server1.2
Conflicts: evolution (<< 2.25.90)
Description: evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.

Package: evolution-data-server-common
Architecture: all
Depends: ${misc:Depends}
Description: architecture independent files for Evolution Data Server
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the architecture independent files needed
 by the evolution-data-server package.

Package: evolution-data-server-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         libdbus-glib-1-dev,
         libnss3-dev,
         libnspr4-dev 
Description: Development files for evolution-data-server (metapackage)
 This package contains header files and static library of evolution-data-server.

Package: evolution-data-server-dbg
Section: debug
Priority: extra
Architecture: any
Depends: evolution-data-server (= ${binary:Version}),
         ${misc:Depends}
Description: evolution database backend server with debugging symbols
 This package contains unstripped binaries used for debugging.

Package: libedataserver1.2-13
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a utility library for evolution-data-server.

Package: libedataserver1.2-dev
Section: libdevel
Architecture: any
Depends: libedataserver1.2-13 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libxml2-dev,
         libglib2.0-dev (>= 2.16.1),
         libgconf2-dev,
         libsoup2.4-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains header files and static library for libedataserver1.2-13.

Package: libcamel1.2-14
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: evolution (<< 2.26)
Description: The Evolution MIME message handling library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libcamel1.2-dev
Section: libdevel
Architecture: any
Depends: libcamel1.2-14 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev,
         libedataserver1.2-dev,
         libsqlite3-dev (>= 3.5),
         libnss3-dev,
         libnspr4-dev
Description: Development files for libcamel
 This package contains header files and static library for libcamel1.2-11
 .
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libebook1.2-9
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for evolution address books
 This package is a client library for evolution addressbooks.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libebook1.2-dev
Section: libdevel
Architecture: any
Depends: libebook1.2-9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libedataserver1.2-dev,
         libdbus-glib-1-dev
Description: Client library for evolution address books (development files)
 This package contains header files and static library for libebook1.2-9.
 .
 libebook is a client library for evolution addressbooks.
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .

Package: libedataserverui1.2-8
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= 2.27.0)
Description: GUI utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a GUI utility library for evolution-data-server.

Package: libedataserverui1.2-dev
Section: libdevel
Architecture: any
Depends: libedataserverui1.2-8 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-dev,
         libedataserver1.2-dev,
         libebook1.2-dev,
Description: GUI utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains header files and static library for
 libedataserverui1.2-8.

Package: libedata-book1.2-2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Backend library for evolution address books
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is a backend library for evolution address book.

Package: libedata-book1.2-dev
Section: libdevel
Architecture: any
Depends: libedata-book1.2-2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libedataserver1.2-dev,
         libebook1.2-dev,
         libdbus-glib-1-dev
Description: Backend library for evolution address books (development files)
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains header files and static library for libedata-book1.2-2

Package: libecal1.2-7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for evolution calendars
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is a client library for evolution calendar.

Package: libecal1.2-dev
Section: libdevel
Architecture: any
Depends: libecal1.2-7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libical-dev (>= 0.43),
         libedataserver1.2-dev,
         libdbus-glib-1-dev
Description: Client library for evolution calendars (development files)
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains header files and static library for libecal1.2-7.

Package: libedata-cal1.2-7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Backend library for evolution calendars
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package is a backend library for evolution calendar.

Package: libedata-cal1.2-dev
Section: libdevel
Architecture: any
Depends: libedata-cal1.2-7 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libdbus-glib-1-dev,
         libical-dev (>= 0.43),
         libedataserver1.2-dev,
         libecal1.2-dev
Description: Backend library for evolution calendars (development files)
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains header files and static library for libedata-cal1.2-7.

Package: libegroupwise1.2-13
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for accessing groupwise POA through SOAP interface
 This package is a client library for accessing groupwise POA through SOAP
 interface of Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libegroupwise1.2-dev
Section: libdevel
Architecture: any
Depends: libegroupwise1.2-13 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libsoup2.4-dev
Description: Development files for libegroupwise
 This package contains header files and static library for libegroupwise1.2-13.
 .
 libegroupwise is client library for accessing groupwise POA through SOAP
 interface of Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libgdata1.2-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for accessing Google POA through SOAP interface
 This package is a client library to access the Google Data APIs through a 
 SOAP interface.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libgdata1.2-dev
Section: libdevel
Architecture: any
Depends: libgdata1.2-1 (= ${binary:Version}),
         ${misc:Depends},
         libsoup2.4-dev
Description: Client library for accessing Google POA (development files)
 This package contains header files and static library for
 libgdata1.2-1.
 .
 libgdata is a client library to access the Google Data APIs through a
 SOAP interface.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libgdata-google1.2-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Client library for accessing Google POA through SOAP interface
 This package is a client library to access Google services through a SOAP
 interface.
 .

## evolution-data-server 2.32.2

=== debian/changelog ===
evolution-data-server (2.32.2-0ubuntu2) natty; urgency=low

  [ Krzysztof Klimonda ]
  * debian/control:
    - updated libgtk2.0-dev dependency. 

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/03-gdata-0.7-port.patch: Correct libgdata 0.7 port patch to
    properly set the updated-min property for Google contacts. (LP: #720434)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 06 Apr 2011 16:26:11 -0400

evolution-data-server (2.32.2-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/01_various_linking_issues.patch:
  * debian/patches/02_fix_sources_migration.patch:
  * debian/patches/199-git-backport-2.32.1-b08a6a1_to_2d0f4a3.patch:
  * debian/patches/199-git-backport-2.32.1-to-b08a6a1.patch:
  * debian/patches/199-git-skip-empty-cache-files-ee21a86.patch:
    - Fixed upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Feb 2011 14:11:56 +1100

evolution-data-server (2.32.1-0ubuntu5) natty; urgency=low

  * debian/control: Drop libgdata7 dependency, this doesn't exist any more.
    Package builds against libgdata11 now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 29 Jan 2011 17:18:19 +0100

evolution-data-server (2.32.1-0ubuntu4) natty; urgency=low

  * debian/patches/199-git-backport-2.32.1-b08a6a1_to_2d0f4a3: backport patches
    from the git gnome-2-32 branch (commit b08a6a1 to 2d0f4a3):
    - Bug #638948 - NNTP folder doesn't implement Expunge
    - Crash on bogus component removal in file calendar backend
    - Bug 637916 - configure.ac with_nspr_includes test is incorrect
    - Bug #636334 - Birthdays&Anniversaries calendar skips local address books
    - Bug #420813 - Unnecessarily slow update/reopen of webcal calendars
  * debian/patches/199-git-skip-empty-cache-files-ee21a86.patch: backported
    patch to ignore empty mail cache files.
  * debian/patches/299-git-find_book_by_contact_crash_9b01440.patch: fix a
    potential crasher in find_book_by_contact; patch from upstream git master.
  * debian/patches/299-git-https_only_webdav_4913827.patch: webdav calendars
    should permit the use of the http method; patch from upstream git master.
  * debian/patches/299-git-maildir_expunge_e7201c8.patch: fix expunge in
    maildirs to work as expected; patch from upstream git master.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 19 Jan 2011 09:22:23 -0500

evolution-data-server (2.32.1-0ubuntu3) natty; urgency=low

  * debian/patches/03-gdata-0.7-port.patch: Fix FTBFS with new libgdata 0.7
    (port to gdata 0.7).
  * debian/patches/199-git-backport-2.32.1-to-b08a6a1.patch: backport patches
    from the upstream gnome-2-32 git tree up to commit b08a6a1:
    - Bug #633181 - Deadlock after moving some mails in maildir
    - Bug #634573 - Crash when importing ics file
    - Bug #635550 - e-calendar-factory leaks memory
    - Bug #635673 - Stack overflow when opening slow calendar
    - Bug #624420 - Crash camel_imapx_server_append_message
    - Bug #625048 - Fails to detect America/New York system timezone
    - bmo#6498 - Filters are not applied to imapx Inboxes
    - Do not store and generate local:/system URIs (LP: #689771)
    - Bug #634385 - Crash in smtp_connect
  * debian/patches/110-git-name-selector-fixes.patch: properly populate and
    retrieve contact categories in the name selector dialog's category combo
    box. (LP: #690178)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 15 Dec 2010 13:28:20 -0500

evolution-data-server (2.32.1-0ubuntu2) natty; urgency=low

  * Make libebook1.2-dev depend on libcamel1.2-dev, matching a new
    requirement in the pkg-config file.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Dec 2010 11:18:57 +0000

evolution-data-server (2.32.1-0ubuntu1) natty; urgency=low

  [ Rodrigo Moya ]
  * Upstream release 2.32.1
    - Bug #634658 - Unread counts for vfolders never update
    - Bug #632692 - Thread by In-Reply-To, then first found reference
    - Bug #538716 - Do not set expiration on POP3 message cache
    - Bug #631804 - Aborts with pthread error in imapx_server_dispose()
    - Bug #634084 - ECal reports loaded state too early
    - Bug #632532 - Double free in imapx_job_done, imapx_command_step_fetch_done
    - Bug #631842 - Improve error reporting in some ECal/EBook functions
    - Bug #632030 - Crashed while Groupwise server is not responding
    - Bug #631953 - A possible double-free in google backend
    - Bug #632771 - Recurring calendar events set to recur forever do not
      display past first week
    - Bug #597567 - Crash in comp_subject()
    - Bug #631290 - Crash in vee_folder_synchronize_sync
    - Bug #631073 - Task update operation has some delay
    - Bug #558478 - Autocompletion inserts comma
    - Bug 632376 - Rewind in camel-disco-diary to fix a crash
    - Bug #534369 - New mail notifications for local Inbox don't work
    - Bug #608557 - CamelOfflineJournal can call fclose with NULL
    - Bug #347520 - Names containing a dot in address parsed incorrectly
    - Bug #630361 - Categories editing fixes
    - Bug #631122 - Change %-H to %k in Italian translation
    - Bug #616598 - AM/PM in Date header confuses parser
    - Bug #616596 - Disable debug prints from e-categories.c
    - Bug #615828 - Incorrectly set off-line state on CamelOfflineStore
    - Bug #616172 - Return NULL from imapx_find_commad_tag when not found
    - Bug #629507 - e_book_backend_cache_set_time doesn't rewrite old value
    - Bug #630321 - Disabling IMAPX account produces runtime warnings
    - Bug #628655 - imapx parser thread gerror memory leak
    - Bug #629752 - ldap doesn't work in offline
    - Bug #629908 - assertion failed: (E_IS_BOOK (book))
    - Bug #615274 - Encode proxy user/password in proxy URL
    - Bug #599741 - Cannot accept meeting request
    - Bug #630265 - Refetches unchanged 'On The Web' calendar
    - Fix memory leak recently introduced in imapx QRESYNC
    - Fix QRESYNC protocol violation (RH #648082)
    - Fix a build failure due to used CPPFLAGS


=== debian/control ===
--- 
+++ 
@@ -15,8 +15,6 @@
 Standards-Version: 3.9.1
 Dm-Upload-Allowed: yes
 Homepage: http://www.gnome.org/projects/evolution/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-evolution/unstable/evolution-data-server
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-evolution/unstable/evolution-data-server
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/evolution-data-server/ubuntu
 Build-Depends: debhelper (>= 7.2.3~),
                cdbs (>= 0.4.37),
@@ -30,11 +28,11 @@
                libdb-dev,
                libkrb5-dev,
                libldap2-dev,
-               libglib2.0-dev (>= 2.16.1),
+               libglib2.0-dev (>= 2.25.12),
                libxml2-dev,
                libgconf2-dev,
                libnss3-dev,
-               libgtk2.0-dev (>= 2.18.0),
+               libgtk2.0-dev (>= 2.24.0),
                libsoup2.4-dev,
                libgnome-keyring-dev (>= 2.20.1),
                gtk-doc-tools,
@@ -45,6 +43,7 @@
                libicu-dev,
                libdbus-glib-1-dev (>= 0.6),
                gperf,
+               libgdata-dev (>= 0.6.3), 
                gnome-pkg-tools
 
 Package: evolution-data-server
@@ -89,11 +88,12 @@
 Description: evolution database backend server with debugging symbols
  This package contains unstripped binaries used for debugging.
 
-Package: libedataserver1.2-13
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Package: libedataserver1.2-14
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libedataserver1.2-13 (<< 2.32)
 Description: Utility library for evolution data servers
  The data server, called "Evolution Data Server" is responsible for managing
  calendar and addressbook information.
@@ -103,7 +103,7 @@
 Package: libedataserver1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libedataserver1.2-13 (= ${binary:Version}),
+Depends: libedataserver1.2-14 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
          libxml2-dev,
@@ -116,12 +116,13 @@
  .
  This package contains header files and static library for libedataserver1.2-13.
 
-Package: libcamel1.2-14
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Breaks: evolution (<< 2.26)
+Package: libcamel1.2-19
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Breaks: evolution (<< 2.32)
+Replaces: libcamel1.2-14 (<< 2.32)
 Description: The Evolution MIME message handling library
  Camel is a generic messaging library. It supports the standard
  messaging system for receiving and sending messages. It is the
@@ -133,7 +134,7 @@
 Package: libcamel1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libcamel1.2-14 (= ${binary:Version}),
+Depends: libcamel1.2-19 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libglib2.0-dev,
@@ -142,7 +143,7 @@
          libnss3-dev,
          libnspr4-dev
 Description: Development files for libcamel
- This package contains header files and static library for libcamel1.2-11
+ This package contains header files and static library for libcamel1.2-19
  .
  Camel is a generic messaging library. It supports the standard
  messaging system for receiving and sending messages. It is the
@@ -151,11 +152,12 @@
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
 
-Package: libebook1.2-9
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Package: libebook1.2-10
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libebook1.2-9 (<< 2.32)
 Description: Client library for evolution address books
  This package is a client library for evolution addressbooks.
  .
@@ -165,9 +167,10 @@
 Package: libebook1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libebook1.2-9 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: libebook1.2-10 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+         libcamel1.2-dev,
          libedataserver1.2-dev,
          libdbus-glib-1-dev
 Description: Client library for evolution address books (development files)
@@ -178,12 +181,13 @@
  distributed suite from Novell, Inc.
  .
 
-Package: libedataserverui1.2-8
+Package: libedataserverui1.2-11
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-data-server-common (>= 2.27.0)
+Replaces: libedataserverui1.2-8 (<< 2.32)
 Description: GUI utility library for evolution data servers
  The data server, called "Evolution Data Server" is responsible for managing
  calendar and addressbook information.
@@ -193,7 +197,7 @@
 Package: libedataserverui1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libedataserverui1.2-8 (= ${binary:Version}),
+Depends: libedataserverui1.2-11 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libgtk2.0-dev,
@@ -206,11 +210,12 @@
  This package contains header files and static library for
  libedataserverui1.2-8.
 
-Package: libedata-book1.2-2
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Package: libedata-book1.2-8
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libedata-book1.2-2 (<< 2.32)
 Description: Backend library for evolution address books
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
@@ -220,7 +225,7 @@
 Package: libedata-book1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libedata-book1.2-2 (= ${binary:Version}),
+Depends: libedata-book1.2-8 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libedataserver1.2-dev,
@@ -232,11 +237,12 @@
  .
  This package contains header files and static library for libedata-book1.2-2
 
-Package: libecal1.2-7
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Package: libecal1.2-8
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libecal1.2-7 (<< 2.32)
 Description: Client library for evolution calendars
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
@@ -246,7 +252,7 @@
 Package: libecal1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libecal1.2-7 (= ${binary:Version}),
+Depends: libecal1.2-8 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libical-dev (>= 0.43),
@@ -258,11 +264,12 @@
  .
  This package contains header files and static library for libecal1.2-7.
 
-Package: libedata-cal1.2-7
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Package: libedata-cal1.2-10
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: libedata-cal1.2-7 (<< 2.32)
 Description: Backend library for evolution calendars
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
@@ -272,7 +279,7 @@
 Package: libedata-cal1.2-dev
 Section: libdevel
 Architecture: any
-Depends: libedata-cal1.2-7 (= ${binary:Version}),
+Depends: libedata-cal1.2-10 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
          libdbus-glib-1-dev,
@@ -313,40 +320,31 @@
  Evolution is the integrated mail, calendar, task and address book
  distributed suite from Novell, Inc.
 
-Package: libgdata1.2-1
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: Client library for accessing Google POA through SOAP interface
- This package is a client library to access the Google Data APIs through a 
- SOAP interface.
- .
- Evolution is the integrated mail, calendar, task and address book
- distributed suite from Novell, Inc.
-
-Package: libgdata1.2-dev
-Section: libdevel
-Architecture: any
-Depends: libgdata1.2-1 (= ${binary:Version}),
-         ${misc:Depends},
-         libsoup2.4-dev
-Description: Client library for accessing Google POA (development files)
+Package: libebackend1.2-0
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Utility library for evolution data servers
+ This package is a utility library for evolution-data-servers providing
+ backend functions to access data.
+ .
+ Evolution is the integrated mail, calendar, task and address book
+ distributed suite from Novell, Inc.
+
+Package: libebackend1.2-dev
+Section: libdevel
+Architecture: any
+Depends: libebackend1.2-0 (= ${binary:Version}),
+         ${misc:Depends},
+         libglib2.0-dev
+Description: Utility library for evolution data servers (development files)
  This package contains header files and static library for
- libgdata1.2-1.
- .
- libgdata is a client library to access the Google Data APIs through a
- SOAP interface.
- .
- Evolution is the integrated mail, calendar, task and address book
- distributed suite from Novell, Inc.
-
-Package: libgdata-google1.2-1
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: Client library for accessing Google POA through SOAP interface
- This package is a client library to access Google services through a SOAP
- interface.
- .
+ libebackend1.2-1.
+ .
+ libebackend is a utility library for evolution-data-server providing
+ backend function to access data.
+ .
+ Evolution is the integrated mail, calendar, task and address book
+ distributed suite from Novell, Inc.
+

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildvars.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk   


DEB_SHLIBDEPS_INCLUDE += debian/tmp/usr/lib

DEB_DH_MAKESHLIBS_ARGS_ALL += -V

CFLAGS += -fPIC

DEB_CONFIGURE_EXTRA_FLAGS += --sysconfdir=/etc \
	--libexecdir=\$${prefix}/lib/evolution \
	--enable-ipv6 \
	--enable-ssl \
	--enable-nntp \
	--enable-smime \
	--with-openldap \
	--with-krb5=/usr \
	--with-libdb=/usr \
	--enable-gnome-keyring=yes

#post-patches::
#	dh_testdir
#	autoreconf -vfi

DEB_FIXPERMS_EXCLUDE += usr/lib/evolution/camel-lock-helper*

binary-install/evolution-data-server::
	chgrp mail $(CURDIR)/debian/evolution-data-server/usr/lib/evolution/camel-lock-helper*
	chmod g+s $(CURDIR)/debian/evolution-data-server/usr/lib/evolution/camel-lock-helper*
	chrpath -d -k $(CURDIR)/debian/evolution-data-server/usr/lib/evolution-data-server-1.2/*/*.so \
	$(CURDIR)/debian/evolution-data-server/usr/lib/evolution/camel*1.2

common-binary-post-install-indep::
	dh_bugfiles -A
